cdac.medinfo.sdk.hl7282.baselibs

## Class CWE

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.CWE

- All Implemented Interfaces:
    IDataType

      public class CWE
      extends CompositeDataType

  CWE - Coded With Exceptions

  This data type Specifies a coded element and its associated detail. The CWE data type is used when 1) more than one table may be applicable or 2) the specified HL7 or externally defined table may be extended with local values or 3) when text is in place, the code may be omitted.

  Represents an HL7 CWE data type. This data type has the following attributes:

  1. Identifier (ST)Optional
  2. Text (ST)Optional
  3. Name of Coding System (ID)Conditional
  4. Alternate Identifier (ST)Optional
  5. Alternate Text (ST)Optional
  6. Name of Alternate Coding System (ID)Conditional
  7. Coding System Version ID (ST)Conditional
  8. Alternate Coding System Version ID (ST)Optional
  9. Original Text (ST)Optional

  10. Second Alternate Identifier (ST)Optional

  11. Second Alternate Text (ST)Optional

  12. Name of Second Alternate Coding System (ID)Conditional

  13. Second Alternate Coding System Version IDt (ST)Optional

  14. Coding System OID (ST)Conditional

  15. Original Text (ST)Optional

  16. Value Set Version ID (DTM)Conditional

  17. Alternate Coding System OID (ST)Conditional

  18. Alternate Value Set OID (ST)Optional

  19. Alternate Value Set Version ID (DTM)Conditional

  20. Second Alternate Coding System OID (ST)Conditional

  21. Second Alternate Value Set OID (ST)Optional

  22. Second Alternate Value Set Version ID (DTM)Conditional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CWE()` Default Constructor for CWE
    `CWE(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for CWE class which takes two arguments and sets the value in the respective member variable.
    `CWE(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for CWE class which takes five arguments and sets the value in the respective member variable.
    `CWE(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for CWE class which takes six arguments and sets the value in the respective member variable.
    `CWE(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CWE class which takes four arguments and sets the value in the respective member variable.
    `CWE(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for CWE class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ST` | `getAlternateCodingSystemOID()` Returns Original Text
    `ST` | `getAlternateCodingSystemVersionID()` Returns Alternate Coding System Version ID
    `ST` | `getAlternateIdentifier()` Returns Alternate Identifier
    `ST` | `getAlternateText()` Returns Alternate Text
    `ST` | `getAlternateValueSetOID()` Returns Alternate Value Set OID
    `DTM` | `getAlternateValueSetVersionID()` Returns Alternate Value Set Version ID
    `ST` | `getCodingSystemOID()` Returns Coding System OID
    `ST` | `getCodingSystemVersionID()` Returns Coding System Version ID
    `ST` | `getIdentifier()` Returns the Identifier Component of CWE data type.
    `ID` | `getNameOfAlternateCodingSystem()` Returns Name of Alternate Coding System
    `ID` | `getNameOfCodingSystem()` Returns Name of Coding System
    `ID` | `getNameofSecondAlternateCodingSystem()` Returns Name of Second Alternate Coding System
    `ST` | `getOriginalText()` Returns Original Text
    `ST` | `getSecondAlternateCodingSystemOID()` Returns Second Alternate Coding System OID
    `ST` | `getSecondAlternateCodingSystemVersionID()` Returns Second Alternate Coding System Version ID
    `ST` | `getSecondAlternateIdentifier()` Returns Second Alternate Identifier
    `ST` | `getSecondAlternateText()` Returns Second Alternate Text
    `ST` | `getSecondAlternateValueSetOID()` Returns Second Alternate Value Set OID
    `DTM` | `getSecondAlternateValueSetVersionID()` Returns Second Alternate Value Set Version ID
    `ST` | `getText()` Returns Text
    `ST` | `getValueSetOID()` Returns Value Set OID
    `DTM` | `getValueSetVersionID()` Returns Value Set Version ID
    `void` | `setAlternateCodingSystemOID(ST objST)` Sets the Alternate Coding System OID .
    `void` | `setAlternateCodingSystemOID(java.lang.String strAlternateCodingSystemOID)` Sets the Alternate Coding System OID .
    `void` | `setAlternateCodingSystemVersionId(ST objST)` Sets the Alternate Coding System Version Id.
    `void` | `setAlternateCodingSystemVersionId(java.lang.String strAlternateCodingSystemVersionId)` Sets the Alternate Coding System Version Id.
    `void` | `setAlternateIdentifier(ST objST)` Sets the Alternate Identifier.
    `void` | `setAlternateIdentifier(java.lang.String strAlternateIdentifier)` Sets the Alternate Identifier.
    `void` | `setAlternateText(ST objST)` Sets the Alternate Text.
    `void` | `setAlternateText(java.lang.String strAlternateText)` Sets the Alternate Text.
    `void` | `setAlternateValueSetOID(ST objST)` Sets the Alternate Value Set OID.
    `void` | `setAlternateValueSetOID(java.lang.String strAlternateValueSetOID)` Sets the Alternate Value Set OID.
    `void` | `setAlternateValueSetVersionID(DTM objDTM)` Sets the Alternate Value Set Version ID.
    `void` | `setAlternateValueSetVersionID(java.lang.String strAlternateValueSetVersionID)` Sets the Alternate Value Set Version ID.
    `void` | `setCodingSystemOID(ST objST)` Sets the Coding System OID.
    `void` | `setCodingSystemOID(java.lang.String strCodingSystemOID)` Sets the Coding System OID.
    `void` | `setCodingSystemVersionID(ST objST)` Sets the Coding System Version ID.
    `void` | `setCodingSystemVersionID(java.lang.String strCodingSystemVersionID)` Sets the Coding System Version ID.
    `void` | `setIdentifier(ST objST)` Sets the Identifier.
    `void` | `setIdentifier(java.lang.String strIdentifier)` Sets the Identifier.
    `void` | `setNameOfAlternateCodingSystem(ID objID)` Sets the Name Of Alternate Coding System.
    `void` | `setNameOfAlternateCodingSystem(java.lang.String strNameOfAlternateCodingSystem)` Sets the Name Of Alternate Coding System.
    `void` | `setNameOfCodingSystem(ID objID)` Sets the Name Of Coding System.
    `void` | `setNameOfCodingSystem(java.lang.String strNameOfCodingSystem)` Sets the Name Of Coding System.
    `void` | `setNameofSecondAlternateCodingSystem(ID objID)` Sets the Name of Second Alternate Coding System.
    `void` | `setNameofSecondAlternateCodingSystem(java.lang.String strNameofSecondAlternateCodingSystem)` Sets the Name of Second Alternate Coding System.
    `void` | `setOriginalText(ST objST)` Sets the Original Text.
    `void` | `setOriginalText(java.lang.String strOriginalText)` Sets the Original Text.
    `void` | `setSecondAlternateCodingSystemOID(ST objST)` Sets the Second Alternate Coding System OID.
    `void` | `setSecondAlternateCodingSystemOID(java.lang.String strSecondAlternateCodingSystemOID)` Sets the Second Alternate Coding System OID.
    `void` | `setSecondAlternateCodingSystemVersionID(ST objST)` Sets the Second Alternate Coding System Version ID.
    `void` | `setSecondAlternateCodingSystemVersionID(java.lang.String strSecondAlternateCodingSystemVersionID)` Sets the Second Alternate Coding System Version ID.
    `void` | `setSecondAlternateIdentifier(ST objST)` Sets the Second AlternateIdentifier.
    `void` | `setSecondAlternateIdentifier(java.lang.String strSecondAlternateIdentifier)` Sets the Second Alternate Identifier.
    `void` | `setSecondAlternateText(ST objST)` Sets the Second Alternate Text.
    `void` | `setSecondAlternateText(java.lang.String strSecondAlternateText)` Sets the Second Alternate Text.
    `void` | `setSecondAlternateValueSetOID(ST objST)` Sets the Second Alternate Value Set OID.
    `void` | `setSecondAlternateValueSetOID(java.lang.String strSecondAlternateValueSetOID)` Sets the Second Alternate Value Set OID.
    `void` | `setSecondAlternateValueSetVersionID(DTM objDTM)` Sets the Second Second Alternate Value Set Version ID.
    `void` | `setSecondAlternateValueSetVersionID(java.lang.String strSecondAlternateValueSetVersionID)` Sets the Second Alternate Value Set Version ID.
    `void` | `setText(ST objST)` Sets the Text.
    `void` | `setText(java.lang.String strText)` Sets the Text.
    `void` | `setValueSetOID(ST objST)` Sets the Value Set OID .
    `void` | `setValueSetOID(java.lang.String strValueSetOID)` Sets the Value Set OID.
    `void` | `setValueSetVersionID(DTM objDTM)` Sets the Value Set Version ID .
    `void` | `setValueSetVersionID(java.lang.String strValueSetVersionID)` Sets the Value Set Version ID .
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CWE

          public CWE()

      Default Constructor for CWE

    - #### CWE

          public CWE(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CWE class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CWE

          public CWE(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CWE class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CWE

          public CWE(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for CWE class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CWE

          public CWE(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for CWE class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CWE

          public CWE(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for CWE class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setIdentifier

          public void setIdentifier(java.lang.String strIdentifier)

      Sets the Identifier.
      Parameters:
        `strIdentifier` - Specifeis Sequence of characters (the code) that uniquely identifies the item being referenced.

    - #### setIdentifier

          public void setIdentifier(ST objST)

      Sets the Identifier.
      Parameters:
        `strIdentifier` - Specifeis Sequence of characters (the code) that uniquely identifies the item being referenced.

    - #### setText

          public void setText(java.lang.String strText)

      Sets the Text.
      Parameters:
        `strText` - Specifeis descriptive or textual name of the identifier, e.g., myocardial infarction or X-ray impression.

    - #### setText

          public void setText(ST objST)

      Sets the Text.
      Parameters:
        `objST` - Specifeis descriptive or textual name of the identifier, e.g., myocardial infarction or X-ray impression.

    - #### setNameOfCodingSystem

          public void setNameOfCodingSystem(java.lang.String strNameOfCodingSystem)

      Sets the Name Of Coding System.
      Parameters:
        `strNameOfCodingSystem` - Specifeis coding scheme being used in the identifier component.

    - #### setNameOfCodingSystem

          public void setNameOfCodingSystem(ID objID)

      Sets the Name Of Coding System.
      Parameters:
        `objID` - Specifeis coding scheme being used in the identifier component.

    - #### setAlternateIdentifier

          public void setAlternateIdentifier(java.lang.String strAlternateIdentifier)

      Sets the Alternate Identifier.
      Parameters:
        `strAlternateIdentifier` - Specifeis an alternate sequence of characters (the code) that uniquely identifies the item being referenced.

    - #### setAlternateIdentifier

          public void setAlternateIdentifier(ST objST)

      Sets the Alternate Identifier.
      Parameters:
        `objST` - Specifeis an alternate sequence of characters (the code) that uniquely identifies the item being referenced.

    - #### setAlternateText

          public void setAlternateText(java.lang.String strAlternateText)

      Sets the Alternate Text.
      Parameters:
        `strAlternateText` - Specifeis descriptive or textual name of the alternate identifier.

    - #### setAlternateText

          public void setAlternateText(ST objST)

      Sets the Alternate Text.
      Parameters:
        `objString` - Specifeis descriptive or textual name of the alternate identifier.

    - #### setNameOfAlternateCodingSystem

          public void setNameOfAlternateCodingSystem(java.lang.String strNameOfAlternateCodingSystem)

      Sets the Name Of Alternate Coding System.
      Parameters:
        `strNameOfAlternateCodingSystem` - Specifeis the coding scheme being used in the alternate identifier component.

    - #### setNameOfAlternateCodingSystem

          public void setNameOfAlternateCodingSystem(ID objID)

      Sets the Name Of Alternate Coding System.
      Parameters:
        `objID` - Specifeis the coding scheme being used in the alternate identifier component.

    - #### setCodingSystemVersionID

          public void setCodingSystemVersionID(java.lang.String strCodingSystemVersionID)

      Sets the Coding System Version ID.
      Parameters:
        `strCodingSystemVersionID` - Specifeis the version ID for the coding system identified by components 1-3.

    - #### setCodingSystemVersionID

          public void setCodingSystemVersionID(ST objST)

      Sets the Coding System Version ID.
      Parameters:
        `objString` - Specifeis the version ID for the coding system identified by components 1-3.

    - #### setAlternateCodingSystemVersionId

          public void setAlternateCodingSystemVersionId(java.lang.String strAlternateCodingSystemVersionId)

      Sets the Alternate Coding System Version Id.
      Parameters:
        `strAlternateCodingSystemVersionId` - Specifeis the version ID for the coding system identified by components 4-6.

    - #### setAlternateCodingSystemVersionId

          public void setAlternateCodingSystemVersionId(ST objST)

      Sets the Alternate Coding System Version Id.
      Parameters:
        `objST` - Specifeis the version ID for the coding system identified by components 4-6.

    - #### setOriginalText

          public void setOriginalText(java.lang.String strOriginalText)

      Sets the Original Text.
      Parameters:
        `strOriginalText` - Specifeis original text that was available to an automated process or a human before a specific code was assigned.

    - #### setOriginalText

          public void setOriginalText(ST objST)

      Sets the Original Text.
      Parameters:
        `objST` - Specifeis original text that was available to an automated process or a human before a specific code was assigned.

    - #### setSecondAlternateIdentifier

          public void setSecondAlternateIdentifier(java.lang.String strSecondAlternateIdentifier)

      Sets the Second Alternate Identifier.
      Parameters:
        `strSecondAlternateIdentifier` - Specifies A sequence of characters that uniquely identifies a second alternate code.

    - #### setSecondAlternateIdentifier

          public void setSecondAlternateIdentifier(ST objST)

      Sets the Second AlternateIdentifier.
      Parameters:
        `objST` - Specifies A sequence of characters that uniquely identifies a second alternate code.

    - #### setSecondAlternateText

          public void setSecondAlternateText(java.lang.String strSecondAlternateText)

      Sets the Second Alternate Text.
      Parameters:
        `strSecondAlternateText` - Specifies the descriptive or textual name of the alternate identifier.

    - #### setSecondAlternateText

          public void setSecondAlternateText(ST objST)

      Sets the Second Alternate Text.
      Parameters:
        `objST` - Specifies the descriptive or textual name of the alternate identifier.

    - #### setNameofSecondAlternateCodingSystem

          public void setNameofSecondAlternateCodingSystem(java.lang.String strNameofSecondAlternateCodingSystem)

      Sets the Name of Second Alternate Coding System.
      Parameters:
        `strNameofSecondAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.

    - #### setNameofSecondAlternateCodingSystem

          public void setNameofSecondAlternateCodingSystem(ID objID)

      Sets the Name of Second Alternate Coding System.
      Parameters:
        `objID` - Specifies the coding scheme being used in the alternate identifier component.

    - #### setSecondAlternateCodingSystemVersionID

          public void setSecondAlternateCodingSystemVersionID(java.lang.String strSecondAlternateCodingSystemVersionID)

      Sets the Second Alternate Coding System Version ID.
      Parameters:
        `strSecondAlternateCodingSystemVersionID` - carries the version for the coding system identified by components 10-12.

    - #### setSecondAlternateCodingSystemVersionID

          public void setSecondAlternateCodingSystemVersionID(ST objST)

      Sets the Second Alternate Coding System Version ID.
      Parameters:
        `objST` - carries the version for the coding system identified by components 10-12.

    - #### setCodingSystemOID

          public void setCodingSystemOID(java.lang.String strCodingSystemOID)

      Sets the Coding System OID.
      Parameters:
        `strCodingSystemOID` - contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.

    - #### setCodingSystemOID

          public void setCodingSystemOID(ST objST)

      Sets the Coding System OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.

    - #### setValueSetOID

          public void setValueSetOID(java.lang.String strValueSetOID)

      Sets the Value Set OID.
      Parameters:
        `strValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained

    - #### setValueSetOID

          public void setValueSetOID(ST objST)

      Sets the Value Set OID .
      Parameters:
        `strValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained

    - #### setValueSetVersionID

          public void setValueSetVersionID(java.lang.String strValueSetVersionID)

      Sets the Value Set Version ID .
      Parameters:
        `strValueSetVersionID` - carries the version for the value set identified by CWE.15.

    - #### setValueSetVersionID

          public void setValueSetVersionID(DTM objDTM)

      Sets the Value Set Version ID .
      Parameters:
        `objDTM` - carries the version for the value set identified by CWE.15

    - #### setAlternateCodingSystemOID

          public void setAlternateCodingSystemOID(java.lang.String strAlternateCodingSystemOID)

      Sets the Alternate Coding System OID .
      Parameters:
        `strAlternateCodingSystemOID` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setAlternateCodingSystemOID

          public void setAlternateCodingSystemOID(ST objST)

      Sets the Alternate Coding System OID .
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) for the coding system

    - #### setAlternateValueSetOID

          public void setAlternateValueSetOID(java.lang.String strAlternateValueSetOID)

      Sets the Alternate Value Set OID.
      Parameters:
        `strAlternateValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained

    - #### setAlternateValueSetOID

          public void setAlternateValueSetOID(ST objST)

      Sets the Alternate Value Set OID.
      Parameters:
        `strAlternateValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained

    - #### setAlternateValueSetVersionID

          public void setAlternateValueSetVersionID(java.lang.String strAlternateValueSetVersionID)

      Sets the Alternate Value Set Version ID.
      Parameters:
        `strAlternateValueSetVersionID` - carries the version for the value set identified by CWE.18.

    - #### setAlternateValueSetVersionID

          public void setAlternateValueSetVersionID(DTM objDTM)

      Sets the Alternate Value Set Version ID.
      Parameters:
        `objDTM` - carries the version for the value set identified by CWE.18.

    - #### setSecondAlternateCodingSystemOID

          public void setSecondAlternateCodingSystemOID(java.lang.String strSecondAlternateCodingSystemOID)

      Sets the Second Alternate Coding System OID.
      Parameters:
        `strSecondAlternateCodingSystemOID` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setSecondAlternateCodingSystemOID

          public void setSecondAlternateCodingSystemOID(ST objST)

      Sets the Second Alternate Coding System OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setSecondAlternateValueSetOID

          public void setSecondAlternateValueSetOID(java.lang.String strSecondAlternateValueSetOID)

      Sets the Second Alternate Value Set OID.
      Parameters:
        `strSecondAlternateValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.

    - #### setSecondAlternateValueSetOID

          public void setSecondAlternateValueSetOID(ST objST)

      Sets the Second Alternate Value Set OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.

    - #### setSecondAlternateValueSetVersionID

          public void setSecondAlternateValueSetVersionID(java.lang.String strSecondAlternateValueSetVersionID)

      Sets the Second Alternate Value Set Version ID.
      Parameters:
        `strSecondAlternateValueSetVersionID` - carries the version for the value set identified by CWE.21.

    - #### setSecondAlternateValueSetVersionID

          public void setSecondAlternateValueSetVersionID(DTM objDTM)

      Sets the Second Second Alternate Value Set Version ID.
      Parameters:
        `objDTM` - carries the version for the value set identified by CWE.21.

    - #### getIdentifier

          public ST getIdentifier()

      Returns the Identifier Component of CWE data type.
      Returns:
        ST - data type.

    - #### getText

          public ST getText()

      Returns Text
      Returns:
        ST - data type.

    - #### getNameOfCodingSystem

          public ID getNameOfCodingSystem()

      Returns Name of Coding System
      Returns:
        ID - data type.

    - #### getAlternateIdentifier

          public ST getAlternateIdentifier()

      Returns Alternate Identifier
      Returns:
        ST - data type.

    - #### getAlternateText

          public ST getAlternateText()

      Returns Alternate Text
      Returns:
        ST - data type.

    - #### getNameOfAlternateCodingSystem

          public ID getNameOfAlternateCodingSystem()

      Returns Name of Alternate Coding System
      Returns:
        ID - data type.

    - #### getCodingSystemVersionID

          public ST getCodingSystemVersionID()

      Returns Coding System Version ID
      Returns:
        ST - data type.

    - #### getAlternateCodingSystemVersionID

          public ST getAlternateCodingSystemVersionID()

      Returns Alternate Coding System Version ID
      Returns:
        ST - data type.

    - #### getOriginalText

          public ST getOriginalText()

      Returns Original Text
      Returns:
        ST - data type.

    - #### getSecondAlternateIdentifier

          public ST getSecondAlternateIdentifier()

      Returns Second Alternate Identifier
      Returns:
        ST - data type.

    - #### getSecondAlternateText

          public ST getSecondAlternateText()

      Returns Second Alternate Text
      Returns:
        ST - data type.

    - #### getNameofSecondAlternateCodingSystem

          public ID getNameofSecondAlternateCodingSystem()

      Returns Name of Second Alternate Coding System
      Returns:
        ID - data type.

    - #### getSecondAlternateCodingSystemVersionID

          public ST getSecondAlternateCodingSystemVersionID()

      Returns Second Alternate Coding System Version ID
      Returns:
        ST - data type.

    - #### getCodingSystemOID

          public ST getCodingSystemOID()

      Returns Coding System OID
      Returns:
        ST - data type.

    - #### getValueSetOID

          public ST getValueSetOID()

      Returns Value Set OID
      Returns:
        ST - data type.

    - #### getValueSetVersionID

          public DTM getValueSetVersionID()

      Returns Value Set Version ID
      Returns:
        DTM - data type.

    - #### getAlternateCodingSystemOID

          public ST getAlternateCodingSystemOID()

      Returns Original Text
      Returns:
        ST - data type.

    - #### getAlternateValueSetOID

          public ST getAlternateValueSetOID()

      Returns Alternate Value Set OID
      Returns:
        ST - data type.

    - #### getAlternateValueSetVersionID

          public DTM getAlternateValueSetVersionID()

      Returns Alternate Value Set Version ID
      Returns:
        DTM - data type.

    - #### getSecondAlternateCodingSystemOID

          public ST getSecondAlternateCodingSystemOID()

      Returns Second Alternate Coding System OID
      Returns:
        ST - data type.

    - #### getSecondAlternateValueSetOID

          public ST getSecondAlternateValueSetOID()

      Returns Second Alternate Value Set OID
      Returns:
        ST - data type.

    - #### getSecondAlternateValueSetVersionID

          public DTM getSecondAlternateValueSetVersionID()

      Returns Second Alternate Value Set Version ID
      Returns:
        DTM - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.